Bug 682486 - Review Request: drupal6-video - Allows Creation of CCK Video Fields
Summary: Review Request: drupal6-video - Allows Creation of CCK Video Fields
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 682489
TreeView+ depends on / blocked
 
Reported: 2011-03-06 01:21 UTC by eric
Modified: 2011-04-01 16:28 UTC (History)
3 users (show)

Fixed In Version: drupal6-video-6.x.4.2.beta2-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-14 05:37:57 UTC
tla: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description eric 2011-03-06 01:21:26 UTC
Spec URL: http://sparks.fedorapeople.org/Packages/drupal6-video.spec

SRPM URL: http://sparks.fedorapeople.org/Packages/drupal6-video-6.x.4.2.beta2-1.fc14.src.rpm

Description: 
Video module allows you to upload video in any format, play video in any 
format, transcode video to FLV using FFMPEG (can be extended to any 
transcoder), automatically creates video thumbnails, use video thumbnails in 
video node teaser, fast and very reliable API for converting videos and auto 
thumbnailing, can be used as an all-in-one video solution for Drupal.

Comment 1 Tim Lauridsen 2011-03-06 07:57:10 UTC
I will review this bug

Comment 2 Tim Lauridsen 2011-03-06 08:14:00 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[-] : MUST - %build honors applicable compiler flags or justifies otherwise.
[-] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x] : MUST - Package contains no bundled libraries.
[x] : MUST - Changelog in prescribed format.
[x] : MUST - Sources contain only permissible code or content.
[-] : MUST - %config files are marked noreplace or the reason is justified.
[x] : MUST - Each %files section contains %defattr
[-] : MUST - Macros in Summary, %description expandable at SRPM build time.
[-] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
[x] : MUST - Package requires other packages for directories it uses.
[x] : MUST - Package uses nothing in %doc for runtime.
[x] : MUST - Package is not known to require ExcludeArch.
[x] : MUST - Permissions on files are set properly.
[x] : MUST - Package does not contain duplicates in %files.
[-] : MUST - Fully versioned dependency in subpackages, if present.
[-] : MUST - Header files in -devel subpackage, if present.
[x] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
[-] : MUST - ldconfig called in %post and %postun if required.
[-] : MUST - Large documentation files are in a -doc subpackage, if required.
[x] : MUST - Package does not contain any libtool archives (.la)
[x] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x] : MUST - License field in the package spec file matches the actual license.
[-] : MUST - License file installed when any subpackage combination is installed.
[-] : MUST - The spec file handles locales properly.
[x] : MUST - Package consistently uses macros. instead of hard-coded directory names.
[-] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
[x] : MUST - Package meets the Packaging Guidelines.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[-] : MUST - No %config files under /usr.
[x] : MUST - Package does not genrate any conflict.
[x] : MUST - Package does not contains kernel modules.
[x] : MUST - Package contains no static executables.
[x] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[x] : MUST - Package must own all directories that it creates.
[x] : MUST - Package does not own files or directories owned by other packages.
[x] : MUST - Package installs properly.
[-] : MUST - Rpath absent or only used for internal libs.
[x] : MUST - Package is not relocatable.
[x] : MUST - Requires correct, justified where necessary.
[!] : MUST - Rpmlint output is silent.
        
        rpmlint drupal66-video-6.x.4.2.beta2-1.fc16.noarch.rpm
        ================================================================================
        drupal66-video.noarch: W: spelling-error %description -l en_US transcode -> trans code, trans-code, transcend
        drupal66-video.noarch: W: spelling-error %description -l en_US transcoder -> trans coder, trans-coder, transcendent
        drupal66-video.noarch: W: spelling-error %description -l en_US thumbnailing -> thumb nailing, thumb-nailing, thumbnail
        1 packages and 0 specfiles checked; 0 errors, 3 warnings.
        ================================================================================
        
        rpmlint drupal66-video-6.x.4.2.beta2-1.fc16.src.rpm
        ================================================================================
        drupal66-video.src: W: spelling-error %description -l en_US transcode -> trans code, trans-code, transcend
        drupal66-video.src: W: spelling-error %description -l en_US transcoder -> trans coder, trans-coder, transcendent
        drupal66-video.src: W: spelling-error %description -l en_US thumbnailing -> thumb nailing, thumb-nailing, thumbnail
        drupal66-video.src: W: invalid-url URL: http://drupal.org/project/video <urlopen error timed out>
        drupal66-video.src: E: invalid-spec-name
        1 packages and 0 specfiles checked; 1 errors, 4 warnings.
        ================================================================================
        
        There is some problems with the macros in the name, so the names become drupal66-video, instead of drupal6-video
        this must be fixed.
        
        
[-] : MUST - Development .so files in -devel subpackage, if present.
[x] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        MD5SUM this package     : c54574934aa75fccb21b044a8e8b54b0
        MD5SUM upstream package : c54574934aa75fccb21b044a8e8b54b0
[x] : MUST - Spec file is legible and written in American English.
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[-] : MUST - Static libraries in -static subpackage, if present.
[x] : MUST - Package contains a SysV-style init script if in need of one.
[x] : MUST - File names are valid UTF-8.
[-] : MUST - Useful -debuginfo package or justification otherwise.
[x] : SHOULD - Reviewer should test that the package builds in mock.
[-] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[?] : SHOULD - Package functions as described.
[x] : SHOULD - Latest version is packaged.
[x] : SHOULD - Package does not include license text files separate from upstream.
[-] : SHOULD - Man pages included for all executables.
[-] : SHOULD - Uses parallel make.
[-] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.
[-] : SHOULD - The placement of pkgconfig(.pc) files are correct.
[x] : SHOULD - Scriptlets must be sane, if used.
[!] : SHOULD - SourceX / PatchY prefixed with %{name}.
        Source0: http://ftp.drupal.org/files/projects/video-6.x-4.2-beta2.tar.gz (video-6.x-4.2-beta2.tar.gz)
        
[x] : SHOULD - SourceX is a working URL.
[!] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[?] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[-] : SHOULD - %check is present and all tests pass.
[x] : SHOULD - Packages should try to preserve timestamps of original installed files.
[x] : SHOULD - Spec use %global instead of %define.

Issues:
[!] : MUST - Rpmlint output is silent.
        
        rpmlint drupal66-video-6.x.4.2.beta2-1.fc16.noarch.rpm
        ================================================================================
        drupal66-video.noarch: W: spelling-error %description -l en_US transcode -> trans code, trans-code, transcend
        drupal66-video.noarch: W: spelling-error %description -l en_US transcoder -> trans coder, trans-coder, transcendent
        drupal66-video.noarch: W: spelling-error %description -l en_US thumbnailing -> thumb nailing, thumb-nailing, thumbnail
        1 packages and 0 specfiles checked; 0 errors, 3 warnings.
        ================================================================================
        
        rpmlint drupal66-video-6.x.4.2.beta2-1.fc16.src.rpm
        ================================================================================
        drupal66-video.src: W: spelling-error %description -l en_US transcode -> trans code, trans-code, transcend
        drupal66-video.src: W: spelling-error %description -l en_US transcoder -> trans coder, trans-coder, transcendent
        drupal66-video.src: W: spelling-error %description -l en_US thumbnailing -> thumb nailing, thumb-nailing, thumbnail
        drupal66-video.src: W: invalid-url URL: http://drupal.org/project/video <urlopen error timed out>
        drupal66-video.src: E: invalid-spec-name
        1 packages and 0 specfiles checked; 1 errors, 4 warnings.
        ================================================================================
        There is some problems with the macros in the name, so the names become drupal66-video, instead of drupal6-video
        this must be fixed.

[!] : SHOULD - SourceX / PatchY prefixed with %{name}.
        Source0: http://ftp.drupal.org/files/projects/video-6.x-4.2-beta2.tar.gz (video-6.x-4.2-beta2.tar.gz)
        
        should be http://ftp.drupal.org/files/projects/%{modname}-%{version}.tar.gz

Comment 3 eric 2011-03-06 13:48:21 UTC
Hmmm... Okay, I know *why* the 66 problem is coming from.  I don't know exactly how to fix it when building in F14...

I'll make some changes this morning and see if I can remedy this.

Comment 4 eric 2011-03-06 22:01:52 UTC
SPEC: http://sparks.fedorapeople.org/Packages/drupal6-video.spec

SRPM: http://sparks.fedorapeople.org/Packages/drupal6-video-6.x.4.2.beta2-2.fc14.src.rpm

Hard coded the name so there wouldn't be a problem between version of Fedora.  RPMLINT shows no errors.

Comment 5 Tim Lauridsen 2011-03-08 06:10:15 UTC
APPROVED

Comment 6 eric 2011-03-08 12:22:31 UTC
New Package SCM Request
=======================
Package Name: drupal6-video
Short Description: Allows creation of CCK video fields in Drupal.
Owners: sparks
Branches: f15 f14 f13 el5 el6
InitialCC:

Comment 7 Jason Tibbitts 2011-03-08 20:54:40 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-03-09 02:39:47 UTC
drupal6-video-6.x.4.2.beta2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal6-video-6.x.4.2.beta2-2.fc15

Comment 9 Fedora Update System 2011-03-09 02:39:54 UTC
drupal6-video-6.x.4.2.beta2-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-video-6.x.4.2.beta2-2.el5

Comment 10 Fedora Update System 2011-03-09 02:40:01 UTC
drupal6-video-6.x.4.2.beta2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/drupal6-video-6.x.4.2.beta2-2.fc14

Comment 11 Fedora Update System 2011-03-09 02:40:09 UTC
drupal6-video-6.x.4.2.beta2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-video-6.x.4.2.beta2-2.el6

Comment 12 Fedora Update System 2011-03-09 02:40:17 UTC
drupal6-video-6.x.4.2.beta2-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/drupal6-video-6.x.4.2.beta2-2.fc13

Comment 13 Fedora Update System 2011-03-09 18:26:09 UTC
drupal6-video-6.x.4.2.beta2-2.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 14 Fedora Update System 2011-03-14 05:37:52 UTC
drupal6-video-6.x.4.2.beta2-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 15 Fedora Update System 2011-03-17 18:51:13 UTC
drupal6-video-6.x.4.2.beta2-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 16 Fedora Update System 2011-03-17 18:52:17 UTC
drupal6-video-6.x.4.2.beta2-2.fc13 has been pushed to the Fedora 13 stable repository.

Comment 17 Fedora Update System 2011-04-01 16:27:45 UTC
drupal6-video-6.x.4.2.beta2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2011-04-01 16:28:31 UTC
drupal6-video-6.x.4.2.beta2-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.